﻿.divTaskManager {
    padding-top: 20px;
}

    .divTaskManager .btn {
        margin: 0 5px 10px 0;
    }

.card-header.fill {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 0px 0px 10px 0px;
}

    .card-header.fill img {
        flex-shrink: 0;
        min-width: 100%;
        min-height: 100%
    }

.task-table {
    min-height: 300px;
    max-height: 576px;
    overflow-y: auto;
}

#btnUpload {
    margin-bottom: 20px;
}

.btn-maintenance-view {
    float: right;
}

.TaskImage {
    max-width: 350px;
    display: block;
}

#addImageSpn {
    cursor: pointer;
    padding: 3px;
}

#addNotesSpn {
    cursor: pointer;
    float: left;
    padding: 3px;
}

.smallfield {
    height: 60px;
}

.divTaskName {
    display: flex;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
    padding-left: 10px;
    padding-right: 10px;
    width: 90%;
    white-space: nowrap;
    text-overflow: ellipsis;
    align-items: center;
}

    .divTaskName div {
        overflow: hidden;
        word-break: break-word;
        text-overflow: ellipsis;
    }

.divAssigned:not(.systemAssigned) {
    width: 34px;
    height: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #A6A8AB;
    border-radius: 17px;
    color: white;
    font-size: 12px;
    cursor: pointer;
}

.divAssigned.systemAssigned {
    width: 34px;
    height: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url('../../images/SAS_logo_black_white.jpg');
    background-size: cover;
    border-radius: 17px;
    color: white;
    font-size: 12px;
    cursor: pointer;
}

.divContextMenu {
    float: right;
    padding-right: 10px;
    color: #A6A8AB;
}

.clsCompleted {
    text-decoration: line-through;
}

.divContextMenu a:link, .navigation-div a:visited {
    color: #A6A8AB;
}

.dropdown-menu a:link, .navigation-div a:visited {
    color: #5E5E5E;
}

.fa-context-menu-btn {
    padding-right: 10px;
}

label {
    text-align: left;
    display: block;
}

#taskcomments {
    display: none;
}

#taskimages {
    display: none;
}

.taskcompleteddiv {
    display: none;
}

#popupaddcomment {
    float: right;
    margin: 10px;
}

#additionalNotes {
    padding: 10px;
    border: 1px solid #d9d9d9;
    font-size: 12px;
    text-align: left;
    min-height: 60px;
    border-radius: 5px;
}

.additionalNotesMetaDiv {
    font-size: 10px;
    color: #777;
}

.additionalNotesDiv {
    padding: 5px;
    color: #545454;
    display: inline-grid;
}

.popupbuttons {
    text-align: center;
}

#divAdditionalNotes {
    padding-top: 10px;
}

.radio {
    font-weight: normal;
}

.checkbox-inline, .radio {
    vertical-align: top;
    margin-top: 0;
    padding-left: 25px;
}

.task-options-icon:after {
    content: "";
    position: absolute;
    left: -8px;
    top: -3px;
    width: 24px;
    height: 24px;
}

.priority-arrow-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.taskDueDate {
    font-size: 14px;
    font-family: Roboto;
    color: #4C4C4C;
    display: flex;
    align-items: center;
}

.taskOverdue {
    font-size: 14px;
    font-family: Roboto;
    color: #D03915;
    display: flex;
    align-items: center;
}

input[type=file] {
    display: none;
}

.grid-darg-drop {
    display: grid;
    grid-column-gap: 15px;
}

#closeBtt {
    position: absolute;
    z-index: 1;
    margin-left: 26px;
    margin-top: -8px;
    color: var(--color-primary);
}

.dragDropImg {
    width: 60px;
    height: 60px;
    position: relative;
    object-fit: cover;
    border-radius: 5px;
}

.addNewTask_btt_display {
    display: flex;
    justify-content: flex-end;
    grid-gap: 10px;
}

.image-delete:hover,
.delete-additional-image:hover {
    color: red;
    cursor: pointer;
}

.bottomButtons {
    position: sticky;
    bottom: 0;
    background: white;
    display: flex;
    grid-gap: 10px;
    justify-content: flex-end;
    padding: 20px;
    z-index: 6;
    margin-top: 10px;
}

#taskdate,
#dateOfBirthInput,
#trainingDate,
#trainingExpires {
    border-right: none !important;
}

#taskdate {
    border-bottom-right-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

#taskManagerBlurb {
    margin-bottom: 0px;
}

#tasksTable_wrapper {
    padding-top: 20px;
}

#inpMainSelectAll .checkbox .input-helper:before {
    background-color: #ffffff;
    width: 20px;
    height: 20px;
    border: 0.3px solid #4C6671;
}

#inpMainSelectAll .checkbox .input-helper:after {
    font-size: 16px;
    left: 3px;
    top: 2px;
    color: #EB7311;
}

.select:before, html:not(.ie9) .select:not(.fg-line):before {
    background-image: none !important;
    font-family: 'Font Awesome 5 Pro', 'roboto';
    float: right;
    content: "\f107" !important;
    padding: 13px;
}

.form-group label {
    margin-top: 10px;
}

/*disable all inputs in edit task popup when not editable*/
#task-manager-popup-content.view-mode-only input,
#task-manager-popup-content.view-mode-only select,
#task-manager-popup-content.view-mode-only textarea,
#task-manager-popup-content.view-mode-only #additionalNotes {
    background: #D0D0D044 !important;
    color: #6F6F6F !important;
    opacity: 1;
}

#task-manager-popup-content.view-mode-only #divAdditionalNotes,
#task-manager-popup-content.view-mode-only #additionalImageLable,
#task-manager-popup-content.view-mode-only #addAdditionalImageSpn,
#task-manager-popup-content.view-mode-only #addAdditionalImageLine,
#task-manager-popup-content.view-mode-only .image-delete,
#task-manager-popup-content.view-mode-only #fileInputDiv,
#task-manager-popup-content.view-mode-only #fileUploadDiv,
#task-manager-popup-content.view-mode-only .star {
    display: none !important;
    cursor: default !important;
}

#task-manager-popup-content.view-mode-only #addImageSpn {
    cursor: default;
    background: #D0D0D044 !important;
    border: 1px solid #d9d9d9;
    font-size: 12px;
    text-align: left;
    min-height: 60px;
    border-radius: 5px;
}

#task-manager-popup-content.view-mode-only .task-date-picker input + .calendar-icon {
    background: #D0D0D044 !important;
    cursor: not-allowed;
}
